package handlers_test

import (
	"net/http"
	"testing"

	"github.com/fiskerinc/cloud-services/services/optimus/handlers"

	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestResetFilters(t *testing.T) {
	tests := []th.BasicHttpTest{
		{
			Name:             "Reset",
			Request:          th.MakeTestRequest(http.MethodGet, "http://example.com/reset", nil),
			ExpectedStatus:   http.StatusOK,
			ExpectedResponse: "",
		},
	}

	th.RunBasicHttpTests(t, tests, handlers.ResetFilters)
}
